List Orders
The “List Orders” API allows to retrieve a paginated list of orders. Customize your results by filtering orders based on name, alt type, order status, payment mode, date range, type of source, contact, funnel products or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve order information.
GET
/
payments
/
orders
List Orders
curl --request GET \
--url https://services.leadconnectorhq.com/payments/orders \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/payments/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/payments/orders"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"_id": "653f5e0cde5a1314e62a837c",
"altId": "3SwdhCu3svxI8AKsPJt6",
"altType": "location",
"status": "completed",
"sourceType": "funnel",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"contactId": "XPLSw2SVagl12LMDeTmQ",
"contactName": "James Bond",
"contactEmail": "james.bond@hoopai.com",
"currency": "USD",
"amount": "100",
"subtotal": "100",
"discount": "10",
"liveMode": "false",
"totalProducts": "5",
"sourceName": "onestep",
"sourceId": "kDj7BHej9Zyyq3QakJmz",
"sourceMeta": "{ domain: \"app.hoopai.com\", pageId: \"rBVhyYhMsbxbO8ZqOcei\", pageUrl: \"/v2/preview/rBVhyYhMsbxbO8ZqOcei\", stepId: \"5a772f62-3fbc-418b-af1b-be8929dd64c2\"}",
"couponCode": "100PER",
"sourceSubType": "one_step_order_form",
"fulfillmentStatus": "unfulfilled",
"onetimeProducts": "1",
"recurringProducts": "1",
"createdBy": "user123"
}
],
"totalCount": 123
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Query Parameters
Last modified on March 8, 2026
Was this page helpful?
List Orders
curl --request GET \
--url https://services.leadconnectorhq.com/payments/orders \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/payments/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/payments/orders"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"_id": "653f5e0cde5a1314e62a837c",
"altId": "3SwdhCu3svxI8AKsPJt6",
"altType": "location",
"status": "completed",
"sourceType": "funnel",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"contactId": "XPLSw2SVagl12LMDeTmQ",
"contactName": "James Bond",
"contactEmail": "james.bond@hoopai.com",
"currency": "USD",
"amount": "100",
"subtotal": "100",
"discount": "10",
"liveMode": "false",
"totalProducts": "5",
"sourceName": "onestep",
"sourceId": "kDj7BHej9Zyyq3QakJmz",
"sourceMeta": "{ domain: \"app.hoopai.com\", pageId: \"rBVhyYhMsbxbO8ZqOcei\", pageUrl: \"/v2/preview/rBVhyYhMsbxbO8ZqOcei\", stepId: \"5a772f62-3fbc-418b-af1b-be8929dd64c2\"}",
"couponCode": "100PER",
"sourceSubType": "one_step_order_form",
"fulfillmentStatus": "unfulfilled",
"onetimeProducts": "1",
"recurringProducts": "1",
"createdBy": "user123"
}
],
"totalCount": 123
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}